This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CreateDataOps

1 - 1.2

post /v1/data-ops

Description

create dataops

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.2"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "tag_key": "",
            "tag_value": ""
        }
    ]
}

Example HTTP response

Response 202

2 - 1.1

post /v1/data-ops

Description

create dataops

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.1"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ]
}

Example HTTP response

Response 202

3 - 1.0

post /v1/data-ops

Description

create dataops

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
bodybody
required

DataOpsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-ops

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-ops 1.0"

Request body

{
    "account": {
        "account_id": "",
        "account_password": ""
    },
    "cluster_id": "",
    "data_ops_name": "",
    "description": "",
    "domain": "",
    "dsc_domain": "",
    "host_alias_list": [
        {
            "hostnames": [
                ""
            ],
            "ip": ""
        }
    ],
    "image_id": "",
    "ingress_controller_name": "",
    "instance_id": "",
    "node_selector": "",
    "storage_class_name": "",
    "tags": [
        {
            "key": "Key",
            "value": "Value"
        }
    ]
}

Example HTTP response

Response 202